Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeKeyPairsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DescribeKeyPairsRequest

    public class DescribeKeyPairsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeKeyPairs operation`.

The DescribeKeyPairs operation returns information about key pairs available to you. If you specify key pairs, information about those key pairs is returned. Otherwise, information for all registered key pairs is returned.

See Also:
  `AmazonEC2.describeKeyPairs(DescribeKeyPairsRequest)`

Constructor Summary
`DescribeKeyPairsRequest()`

Method Summary
`List<String>` | `getKeyNames()` The optional list of key pair names to describe.
`void` | `setKeyNames(Collection<String> keyNames)` The optional list of key pair names to describe.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeKeyPairsRequest` | `withKeyNames(Collection<String> keyNames)` The optional list of key pair names to describe.
`DescribeKeyPairsRequest` | `withKeyNames(String... keyNames)` The optional list of key pair names to describe.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeKeyPairsRequest

    public DescribeKeyPairsRequest()

Method Detail

### getKeyNames

    public List<String> getKeyNames()

  The optional list of key pair names to describe.

  Returns:
    The optional list of key pair names to describe.

### setKeyNames

    public void setKeyNames(Collection<String> keyNames)

  The optional list of key pair names to describe.

  Parameters:
    `keyNames` - The optional list of key pair names to describe.

### withKeyNames

    public DescribeKeyPairsRequest withKeyNames(String... keyNames)

  The optional list of key pair names to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `keyNames` - The optional list of key pair names to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withKeyNames

    public DescribeKeyPairsRequest withKeyNames(Collection<String> keyNames)

  The optional list of key pair names to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `keyNames` - The optional list of key pair names to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.